.\" @(#)$RCSfile: lcg_util.man,v $ $Revision: 1.7 $ $Date: 2008/03/17 12:26:41 $ CERN Jean-Philippe Baud
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH LCG_UTIL 1 "$Date: 2008/03/17 12:26:41 $" LCG_UTIL "User Commands"
.SH DESCRIPTION
lcg_util is a set of methods interfacing to the Storage Elements and the RLS or the LFC.
Two interfaces are provided: API and CLI.
Use 
.B man
command for details of the lcg_util commands:
.TP
lcg-aa
add an alias in the RMC or the LFC for a given GUID
.TP
lcg-cp
copy a Grid file to a local destination
.TP
lcg-cr
copy and register a file
.TP
lcg-del
delete files (SURLs or LFNs)
.TP
lcg-getturls
get the TURLs for given SURLs and transfer protocols
.TP
lcg-gt
get the TURL for a given SURL and transfer protocols
.TP
lcg-la
list the aliases for a given LFN, GUID or SURL
.TP
lcg-lg
get the GUID for a given LFN or SURL
.TP
lcg-lr
list the replicas for a given LFN, GUID or SURL
.TP
lcg-ls
list file information for given SURLs or LFNs
.TP
lcg-ra
remove an alias in the RMC or the LFC for a given GUID
.TP
lcg-rep
copy a file from one Storage Element to another Storage Element and registers it in the LRC or the LFC
.TP
lcg-rf
register in the LRC (and optionally in the RMC) or the LFC a file residing on an SE
.TP
lcg-sd
set file status to "Done" for a given SURL in a specified request
.TP
lcg-uf
unregister in the LRC or the LFC a file residing on an SE

.SH NOTE
The environment variable LCG_GFAL_INFOSYS must point to the BDII.
To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

